%global modulename eslint-plugin-node

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-eslint-plugin-node
Version:        8.0.0
Release:        1%{?dist}
Summary:        Additional ESLint's rules for Node.js

License:        MIT
URL:            https://github.com/mysticatea/eslint-plugin-node#readme
Source0:        https://registry.npmjs.org/eslint-plugin-node/-/eslint-plugin-node-8.0.0.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(eslint-plugin-es) >= 1.3.1 with npmlib(eslint-plugin-es) < 2.0.0))
BuildRequires:  ((npmlib(eslint-utils) >= 1.3.1 with npmlib(eslint-utils) < 2.0.0))
BuildRequires:  ((npmlib(ignore) >= 5.0.2 with npmlib(ignore) < 6.0.0))
BuildRequires:  ((npmlib(minimatch) >= 3.0.4 with npmlib(minimatch) < 4.0.0))
BuildRequires:  ((npmlib(resolve) >= 1.8.1 with npmlib(resolve) < 2.0.0))
BuildRequires:  ((npmlib(semver) >= 5.5.0 with npmlib(semver) < 6.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Additional ESLint's rules for Node.js

%package 8.0.0
Summary:        Additional ESLint's rules for Node.js


%description 8.0.0
Additional ESLint's rules for Node.js

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}


%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 8.0.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Dec 4 2018 npm2srpm <dshea@redhat.com> - 8.0.0-1
- Package automatically generated by npm2srpm
